function IncludeJS(sId, url){
    //判断该ID对应的控件是否已经存在，如果已经存在则返回
    var LOBJ_Script = document.getElementById(sId);
    if(LOBJ_Script){
      if( LOBJ_Script.text != "" || LOBJ_Script.src != "" ){
        return false;
      }
    }
    //创建XmlHTTP对象
    var LOBJ_XmlHttp = {};
    if ( window.ActiveXObject ){ // IE
      LOBJ_XmlHttp = new ActiveXObject("Microsoft.XMLHTTP") ;
    }else if ( window.XMLHttpRequest ){ // Gecko
      LOBJ_XmlHttp =  new XMLHttpRequest() ;
    }
    //定义XmlHTTP对象readyState属性改变时的事件处理函数
    LOBJ_XmlHttp.OnReadyStateChange = function() {
      if ( LOBJ_XmlHttp.readyState == 4 ){
        var LSTR_Source = LOBJ_XmlHttp.responseText;
        if ((LSTR_Source != null)){
          var LOBJ_Script = document.getElementById(sId);
          if(!LOBJ_Script){
            LOBJ_Script = document.createElement("script" );
          }
          LOBJ_Script.language = "javascript";
          LOBJ_Script.type = "text/javascript";
          LOBJ_Script.id = sId;
          LOBJ_Script.defer = true;
          LOBJ_Script.text = LSTR_Source;
          //将Script控件添加到画面中
          if(!document.getElementById(sId)){
            var LOBJ_Head = document.getElementsByTagName('HEAD').item(0);
            LOBJ_Head.appendChild(LOBJ_Script);
          }
        }
      }
    };
    LOBJ_XmlHttp.open('GET', url, false);
    LOBJ_XmlHttp.send(null);
    if ( window.XMLHttpRequest){
      if(LOBJ_XmlHttp.readyState == 4){
        if(LOBJ_XmlHttp.status == 200){
          var LSTR_Source = LOBJ_XmlHttp.responseText;
          if ((LSTR_Source != null)){
            var LOBJ_Script = document.getElementById(sId);
            if(!LOBJ_Script){
              LOBJ_Script = document.createElement("script" );
            }
            LOBJ_Script.language = "javascript";
            LOBJ_Script.type = "text/javascript";
            LOBJ_Script.id = sId;
            LOBJ_Script.defer = true;
            LOBJ_Script.text = LSTR_Source;
            //将Script控件添加到画面中
            if(!document.getElementById(sId)){
              var LOBJ_Head = document.getElementsByTagName('HEAD').item(0);
              LOBJ_Head.appendChild(LOBJ_Script);
            }
          }
        }
      }
    }
  }